#
# spec file for package jhbuild
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define moduleset 3.16
Name:           jhbuild
Version:        3.16.0~20150323
Release:        4.5
Summary:        Tool to build GNOME
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            http://live.gnome.org/Jhbuild
Source0:        %{name}-%{version}.tar.xz
Source1:        README.deps
Source2:        sample.jhbuildrc
Source99:       create-deps.sh
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  python
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
Requires:       python-gtk
Recommends:     %{name}-lang
Recommends:     git-core
Recommends:     patch
Recommends:     subversion
Suggests:       cvs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
Jhbuild is a tool used to build the whole GNOME desktop from the
git source, however, it can be used to build other projects
creating a moduleset for it.

%package recommended-deps
Summary:        Recommended dependencies to use jhbuild
Group:          Development/Tools/Building
Requires:       %{name} = %{version}
# Manual extracted deps from moduleset-3.16
Requires:       bison
Requires:       cmake
Requires:       cracklib-devel
Requires:       cups-devel
Requires:       db-devel
Requires:       doxygen
Requires:       flex
Requires:       font-util
Requires:       gettext-tools
Requires:       gperf
Requires:       intltool
Requires:       libacl-devel
Requires:       libcap-devel
Requires:       libiw-devel
Requires:       libtiff-devel
Requires:       libwebp-devel
Requires:       libyaml-devel
Requires:       makeinfo
Requires:       mpfr-devel
Requires:       pam-devel
Requires:       ppp-devel
Requires:       python-libxml2
Requires:       python-rdflib
Requires:       ragel
Requires:       raptor
Requires:       sqlite
Requires:       xmlto
Recommends:     autoconf
Recommends:     automake
# Note: the order is order in jhbuild moduleset files
## Compilers
Recommends:     gcc-c++
## From bootstrap:
Recommends:     gettext-tools
Recommends:     libtool
Recommends:     pkg-config
Recommends:     python
## System Dependencies as defined by the moduleset configuration
# only pkg-config deps are auto extracted, as we do not have to
# worry about package names there
%(sh %{SOURCE99} %{SOURCE0} %{moduleset})

%description recommended-deps
Jhbuild is a tool used to build the whole GNOME desktop from the
git source, however, it can be used to build other projects
creating a moduleset for it.

This package will install the dependencies to build GNOME
with jhbuild, to make this tool easier to use on openSUSE

The list is extracted from the moduleset version %{moduleset}

%lang_package

%prep
%setup -q
translation-update-upstream
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
	--disable-scrollkeeper
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%suse_update_desktop_file jhbuild
%fdupes %{buildroot}%{python_sitelib}
%fdupes %{buildroot}%{_datadir}
%find_lang %{name} %{?no_lang_C}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README sample.jhbuildrc
%{_bindir}/install-check
%{_bindir}/jhbuild
%{python_sitelib}/jhbuild/
%{_datadir}/applications/jhbuild.desktop
%{_datadir}/jhbuild/

%files recommended-deps
%defattr(-,root,root,-)
%doc README.deps

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0~20150323:
  + world: change gitorious url
  + 3.16: Use the 0.28 branch of vala
  + 3.16: branch modules
  + core-deps-3.16: WebKitGTK+ 2.8.0
* Wed Mar 18 2015 dimstar@opensuse.org
- Update to version 3.16.0~20150318:
  + Updated Swedish translation
  + core-deps-3.16: WebKitGTK+ 2.7.91
  + core-deps-3.16: Fix geoip tarball location and upgrade to 1.6.5
  + core-deps-3.16: Upgrade ibus to 1.5.10
  + 3.16: Move ibus-hangul to sysdeps
  + 3.16: Move anthy to -sysdeps
  + 3.16: Move pyzy to -sysdeps
  + sysdeps-3.16: Remove sqlite-bin, no package depends on it
  + 3.16: Move sbc to -sysdeps
  + 3.16: Move js24 to -sysdeps
  + core-deps-3.16: ATK doesnt depend on gnome-common anymore
  + gnome-apps-3.16: update spice-gtk to 0.28
  + gnome-apps-3.16: fix spice-gtk 0.28 sha256
  + core-3.16: g-o-a now requires WebKit2
  + core-deps-3.16: Add a patch for WebKit
  + gnome-apps-3.16: Make explicit g-i-s's dep on WebKit
  + Update Sound Juicer dependencies
  + core-3.16: compile Empathy with --enable-goa=no
  + Revert "core-3.16: compile Empathy with --enable-goa=no"
  + core-deps-3.16: uhttpmock is now on github
  + core-deps-3.16: Update ibus-anthy to latest stable (1.5.6)
  + sysdeps-3.16: Add libpinyin
  + core-deps-3.16: Add ibus-libpinyin
  + core-3.16: Use ibus-libpinyin instead ibus-pinyin
  + 3.16: Do not build ibus-pinyin
  + core-deps-3.16: Remove old ibus tarball repo
  + sysdeps-3.16: Add libhangul
  + 3.16: Build latest ibus-hangul (1.5.0) from tarball
  + Added Bosnian translation
  + sysdeps-3.16: Give up on installing python-rdflib
  + core-deps-3.16: Fix hash value for ibus-libpinyin
  + Updated Spanish translation
  + core-deps-3.16: add gcab
  + core-deps-3.16: build gcab from git
  + core-deps-3.16: WebKitGTK+ 2.7.92
  + 3.16: Use the glib-2-44 branch
  + 3.16: Use the gtk-3-16 branch
  + distribute $(sitecustomize_DATA)
  + fix mostly minor XML validation errors
  + release: 3.15.92
  + fill NEWS file
* Thu Feb 26 2015 dimstar@opensuse.org
- Update to version 3.16.0~20150225:
  + sysdeps-3.16: add libssh
  + apps-3.16: libgit2 should be built with SSH support
  + sysdeps-3.16: fixup for libssh
  + sysdeps-3.16: another fixup for libssh
  + gnome-world: remove some CVS modules
  + cvs: don't write empty passwords to ~/.cvspass
  + 3.16: rename libssh to libssh2
  + triggers: fix LiteralMatch vs REMatch problems
  + Switch cogl branch to 1.20
  + Updated Greek translation
- Add create-deps.sh: Extract dependencies from the provided
  modulesets. Version specified by moduleset defines (currently set
  to be 3.16).
* Sun Apr 27 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Bugs fixed: bgo#655714, bgo#669721, bgo#693052, bgo#697401,
    bgo#701181, bgo#704768, bgo#705506, bgo#707174, bgo#710236,
    bgo#712147, bgo#712305, bgo#712312, bgo#712351, bgo#715102,
    bgo#719759, bgo#720068, bgo#720083, bgo#720118, bgo#720119,
    bgo#720129, bgo#720285, bgo#720486, bgo#720547, bgo#720562,
    bgo#720574, bgo#720654, bgo#720755, bgo#720756, bgo#720839,
    bgo#721323, bgo#721378, bgo#721532, bgo#721801, bgo#721808,
    bgo#722098, bgo#722239, bgo#722561, bgo#722978, bgo#723070,
    bgo#723080, bgo#723082, bgo#723313, bgo#723416, bgo#723436,
    bgo#723494, bgo#723700, bgo#723945, bgo#723947, bgo#723948,
    bgo#723959, bgo#723966, bgo#723971, bgo#723973, bgo#724116,
    bgo#724622, bgo#724801, bgo#724993, bgo#727508.
  + Updated translations.
* Sat Nov 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Bugs fixed: bgo#644643, bgo#654582, bgo#656081, bgo#668368,
    bgo#670240, bgo#681342, bgo#681344, bgo#682104, bgo#682262,
    bgo#682951, bgo#683374, bgo#683408, bgo#683416, bgo#683566,
    bgo#683624, bgo#683639, bgo#683832, bgo#683846, bgo#683848,
    bgo#684205, bgo#684335, bgo#684652, bgo#684796, bgo#684878,
    bgo#684883, bgo#684908, bgo#685042, bgo#685149, bgo#685150,
    bgo#685264, bgo#685268, bgo#685335, bgo#685337, bgo#685348,
    bgo#685349, bgo#685350, bgo#685351, bgo#685489, bgo#686019,
    bgo#686906, bgo#687203, bgo#687272, bgo#687403, bgo#687601,
    bgo#687692, bgo#687699, bgo#687715, bgo#687716, bgo#687720,
    bgo#687743, bgo#687814, bgo#687837, bgo#687891, bgo#688011,
    bgo#688062, bgo#688075, bgo#688119, bgo#688696, bgo#688828,
    bgo#688846, bgo#688872, bgo#689010, bgo#689011, bgo#689194,
    bgo#689196, bgo#689226, bgo#689227, bgo#689228, bgo#689507,
    bgo#689755, bgo#690103, bgo#691395, bgo#691407, bgo#691408,
    bgo#691412, bgo#692390, bgo#692565, bgo#692675, bgo#692709,
    bgo#692825, bgo#693451, bgo#693729, bgo#693788, bgo#694452,
    bgo#694466, bgo#694527, bgo#694900, bgo#695271, bgo#695751,
    bgo#696081, bgo#696082, bgo#696144, bgo#696184, bgo#696294,
    bgo#696784, bgo#696887, bgo#697818, bgo#697875, bgo#697925,
    bgo#698108, bgo#698684, bgo#699928, bgo#699931, bgo#699936,
    bgo#699938, bgo#700475, bgo#700557, bgo#700731, bgo#700834,
    bgo#701051, bgo#701059, bgo#701147, bgo#701181, bgo#701776,
    bgo#701868, bgo#702020, bgo#702065, bgo#702603, bgo#702682,
    bgo#702776, bgo#702777, bgo#702805, bgo#702830, bgo#703633,
    bgo#703698, bgo#703954, bgo#704768, bgo#705136, bgo#705496,
    bgo#705996, bgo#706497, bgo#706518, bgo#707009, bgo#707174,
    bgo#707561, bgo#707843, bgo#708376, bgo#709019, bgo#710569,
    bgo#712147, bgo#712150, bgo#712305, bgo#712312.
* Sun Dec  9 2012 dimstar@opensuse.org
- Add patch recommends: several upstream scripts might require some
  patches to be applied (bnc#626149).
* Thu Sep  6 2012 dimstar@opensuse.org
- Update to version 3.5.91:
  + Bugs fixed: bgo#656081, bgo#660844, bgo#670213, bgo#670240,
    bgo#681289, bgo#681290, bgo#681342, bgo#681886, bgo#682904,
    bgo#682951, bgo#683408
  + Updated translations.
* Mon Aug 13 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Offer to git clean -dfx over "make distclean" (bgo#656081)
  + Enhance system dependencies beyond pkg-config to detect include
    files & executable files (bgo#671042)
  + Bugs fixed: bgo#581515, bgo#672697, bgo#678361, bgo#678709,
    bgo#678869, bgo#679022, bgo#679375, bgo#679643, bgo#679792,
    bgo#679817, bgo#679948, bgo#679966, bgo#680389, bgo#681113.
  + Updated translations.
* Fri Jul 20 2012 dimstar@opensuse.org
- Update to version 3.5.3:
  + Add ability to "skip-install" (bgo#612886)
  + Work with defaults if no ~/.jbuildrc exists (bgo#655763)
  + Inform user if required system dependencies are missing
    (bgo#669554)
  + Make --no-network more useful for tarball modules (bgo#670696)
  + Display circular dependencies in 'jhbuild checkmodulesets'
    command (bgo#676224)
  + Bugs fixed: bgo#581515, bgo#646510, bgo#655501, bgo#656818,
    bgo#667586, bgo#668368, bgo#669369, bgo#670220, bgo#670225,
    bgo#670335, bgo#670683, bgo#670696, bgo#670814, bgo#672205,
    bgo#672974, bgo#673202, bgo#673329, bgo#673987, bgo#674010,
    bgo#674315, bgo#674353, bgo#675416, bgo#675570, bgo#676490,
    bgo#677271, bgo#677860, bgo#677979, bgo#678132, bgo#678159,
    bgo#678372, bgo#678704, bgo#678723, bgo#678802, bgo#678958,
    bgo#679124, bgo#679407.
  + Updated translations.
* Wed Apr 18 2012 dimstar@opensuse.org
- Update to version 3.4.0:
  + Use parallel make by default.
  + Remove arch support.
  + Use new documentation infrastructure.
  + Many updates to modulesets.
  + Bugs fixed: bgo#634985, bgo#650533, bgo#654555, bgo#654686,
    bgo#654872, bgo#655164, bgo#655688, bgo#656399, bgo#656789,
    bgo#658601, bgo#660939, bgo#661010, bgo#661367, bgo#661412,
    bgo#661533, bgo#661641, bgo#661848, bgo#662392, bgo#662928,
    bgo#663003, bgo#663189, bgo#663255, bgo#663839, bgo#664154,
    bgo#664230, bgo#664231, bgo#664304, bgo#664796, bgo#665030,
    bgo#665499, bgo#666425, bgo#666546, bgo#666577, bgo#668107,
    bgo#668368, bgo#668434, bgo#668879, bgo#669205, bgo#669437,
    bgo#669475, bgo#669589, bgo#669658, bgo#669750, bgo#669953,
    bgo#669956, bgo#670094, bgo#670123, bgo#670127, bgo#670154,
    bgo#670343, bgo#670349, bgo#670533, bgo#670625, bgo#670698,
    bgo#670774, bgo#670799, bgo#670801, bgo#670917, bgo#670940,
    bgo#670943, bgo#670993, bgo#671162, bgo#671217, bgo#671226,
    bgo#671353, bgo#671365, bgo#671460, bgo#671634, bgo#671697,
    bgo#671700, bgo#671789, bgo#671891, bgo#672172, bgo#672206,
    bgo#672266, bgo#672634, bgo#673950, bgo#673957, bgo#673994,
    bgo#673999, bgo#674007.
  + Updated translations.
- Replace gnome-doc-utils-devel with yelp-tools-devel, following
  upstream change.
* Sat Oct  8 2011 zaitor@opensuse.org
- Update to version 3.2.1:
  + Bugs fixed:
  - bgo#653050, "jhbuild make" command.
  - bgo#648990, bgo#654701, bgo#655164, bgo#655417, bgo#660455,
    bgo#660527, bgo#660853, bgo#660939, bgo#660995, bgo#661010.
  + Updated translations.
* Mon Sep 26 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + Many changes in how jhbuild works internally.
  + Many moduleset changes.
  + Many bugs fixed (see NEWS for details).
  + Updated translations.
* Sun Feb 20 2011 vuntz@opensuse.org
- Add source-highlight Recommends to recommended-deps subpackage:
  it's useful with gtk-doc.
* Thu Feb 17 2011 vuntz@opensuse.org
- Change mozilla-xulrunner192-devel Recommends to
  mozilla-xulrunner20-devel. That's what we want people to use now
  :-)
* Mon Feb 14 2011 sbrabec@suse.cz
- Added support for translation-update-upstream.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Wed Dec 22 2010 vuntz@opensuse.org
- Update to version 2.32.4:
  + Improvements in handling of git modules.
  + Improvements in cmake support.
  + Add support for distcheck to jhbuild autobuild command.
  + Prefer configure over autogen.sh for tarballs.
  + Restore support for absolute moduleset paths.
  + Many other bug fixes: bgo#560237, bgo#599212, bgo#602682,
    bgo#610054, bgo#610943, bgo#616659, bgo#618499, bgo#618992,
    bgo#619659, bgo#621152, bgo#621194, bgo#622287, bgo#622316,
    bgo#622542, bgo#622859, bgo#623230, bgo#623425, bgo#623439,
    bgo#623500, bgo#623662, bgo#623668, bgo#623768, bgo#623930,
    bgo#623931, bgo#624077, bgo#624079, bgo#624436, bgo#624969,
    bgo#626039, bgo#626042, bgo#626288, bgo#626369, bgo#626808,
    bgo#626839, bgo#627576, bgo#628339, bgo#628368, bgo#628556,
    bgo#628560, bgo#628738, bgo#629240, bgo#629316, bgo#630079,
    bgo#630726, bgo#631108, bgo#631354, bgo#631583, bgo#632265,
    bgo#632435, bgo#632843, bgo#632859, bgo#632863, bgo#633740,
    bgo#633751, bgo#633794, bgo#633850, bgo#634373, bgo#634382,
    bgo#634866, bgo#634867, bgo#634953, bgo#635081, bgo#635498,
    bgo#635551, bgo#635862, bgo#636032, bgo#636169, bgo#636196,
    bgo#636199, bgo#636205, bgo#636253, bgo#636359, bgo#636595,
    bgo#636618, bgo#636772, bgo#636823, bgo#636877, bgo#636921,
    bgo#637098, bgo#637119, bgo#637218, bgo#637488, bgo#637513,
    bgo#637550, bgo#637728.
  + Documentation improvements.
* Sat Nov  6 2010 vuntz@opensuse.org
- Add gcc-c++ Recommends to jhbuild-recommended-deps: we need a c++
  compiler too.
* Fri Sep 10 2010 vuntz@opensuse.org
- Change liboil-devel Recommends to orc, since this is what
  GStreamer uses now.
- Drop clutter-cairo-devel, libtelepathy-devel Recommends: they are
  dead.
- Update sample.jhbuildrc to mention GNOME 2.32 instead of GNOME
  2.28.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update to version 2.30.2:
  + bgo#592438: "bot --step check" doesn't do anything
  + bgo#597954: '--clean' argument/makeclean configuration option
    problems
  + bgo#606218: autotools: chmod +x configure
  + bgo#606360: commands: add help
  + bgo#606398: log slave config parsing errors
  + bgo#606658: cleanone needs network access
  + bgo#608322: jhbuild fails to clone gstreamer
  + bgo#608840: system man pages don't work inside jhbuild
  + bgo#608845: jhbuild autobuild --clean does not clean
  + bgo#613917: add support for buildbot 0.7.12
  + bgo#614948: po/Makefile.in.in is broken, translations aren't
    installed
  + bgo#614957: Manual Frequently Asked Questions, Building GNOME
    instructions inaccurate
  + bgo#615413: README and INSTALL files out of date
  + bgo#615473: Various fixes for testmodule modules
  + bgo#615802: Out of the source tree builds and autoreconf
  + bgo#615803: DTD is not complete
  + bgo#616593: [docs] branch, repo atrributes & cvs/svn progs
  + bgo#617114: Bzr improvements
  + bgo#617794: jhbuild unusable in some locales
  + bgo#618254: build_policy updated and updated-deps should honor
    dirty git worktrees
  + bgo#618609: cloning does not consider git user accounts
  + bgo#618974: Restructure the _update member of GitBranch
  + bgo#619525: [3.0] libproxy ignores python installed by jhbuild
  + bgo#619935: [info] Additional output for git branches
  + bgo#619940: [cleanone] Restrict execution to the 'clean' phase
  + bgo#620648: [info] Display the source directory for all branch
    types
  + bgo#620974: [doc] Document git branch attributes
  + bgo#621461: Automatically set GI_TYPELIB_PATH
  + Other bugs fixed: bgo#560237, bgo#581262, bgo#581515,
    bgo#596385, bgo#598524, bgo#604204, bgo#605932, bgo#606217,
    bgo#606924, bgo#608520, bgo#608521, bgo#608875, bgo#609250,
    bgo#609366, bgo#609368, bgo#609455, bgo#609874, bgo#610024,
    bgo#610936, bgo#610943, bgo#611283, bgo#612297, bgo#615801,
    bgo#616104, bgo#616417, bgo#617083, bgo#617099, bgo#617200,
    bgo#617270, bgo#618301, bgo#618313, bgo#618855, bgo#618865,
    bgo#619000, bgo#619002, bgo#620729, bgo#620741, bgo#621199,
    bgo#621206, bgo#621280, bgo#621855, bgo#622129
  + Updated translations.
* Wed Mar 31 2010 vuntz@opensuse.org
- Update recommends of recommended-deps to the current state:
  + Remove dbus-1-python, hal-devel, DeviceKit-disks-devel,
    DeviceKit-power-devel, mozilla-xulrunner191-devel,
    libggz2-devel, ggz-client-libs-devel, PolicyKit-devel,
    PolicyKit-gnome-devel.
  + Add dbus-1-python-devel, libdevkit-power-gobject-devel,
    udisks-devel, mozilla-xulrunner192-devel.
* Tue Jan 19 2010 vuntz@opensuse.org
- Update to version 2.29.3:
  + Fixed bugs:
  - bgo#587489, Crash when checking out pango
  - bgo#591231, BuildBot: add support for using the "Nightly"
    scheduler (instead of "Periodic")
  - bgo#601276, Please add at-spi2-core, at-spi2-atk, and
    pyatspi2
  - bgo#605101, Remove evolution-data-server-dbus
  - bgo#606099, Jhbuild installs gobject-introspection 0.6.5
    while some modules require 0.6.7
  - bgo#606222, Removing obsolete dependencies in
    gnome-suites-2.30.modules
  + Updated translations.
* Wed Dec  2 2009 vuntz@opensuse.org
- Update to version 2.29.2:
  + Fixed bugs:
  - bgo#531543, Allow selective choice of poisoning dep tree
  - bgo#560092, Jhbuild should use XDG_CACHE_HOME
  - bgo#591239, add check for wget/curl in sanitycheck
  - bgo#592433, add command and option to run build phase
    "check"
  - bgo#595730, Manual should refer to sample.jhbuildrc and not
    mention GNOME svn
  - bgo#596129, add nm-applet plugins
  - bgo#596905, Better documentation of branches variable
  - bgo#597437, 'jhbuild run --inbuilddir=module' doesn't work
  - bgo#598391, Manual doesn't document module_makecheck
  - bgo#598537, where is libnl?
  - bgo#598689, where is pyxdg?
  - bgo#601324, Add a new module: PyGI
  + Updated translations.
* Thu Oct  1 2009 vuntz@opensuse.org
- Update to version 2.28.0:
  + Fixed bugs:
  - bgo#106737, "start at" Option for "jhbuild update"
  - bgo#583515, Selecting [1] rerun stage configure after
    configure failure runs build
  - bgo#589326, nss fails to build due to incompatible
    /usr/lib/libplc4.so
  - bgo#590273, When a git clone is interrupted during the
    compressing objects state, there's no way to recover from it
    automatically.
  - bgo#591142, Clean up deprecated dependencies in
    gnome-suites-2.28.modules
  - bgo#591470, jhbuild can't "switch" to gnome-2-28 branch
  - bgo#591508, should strip .git from repo name when finding
    checkout dir name
  - bgo#591553, support msdos-created zipfiles
  - bgo#592427, Wrong python2.6 path
  - bgo#592438, "bot --step check" doesn't do anything
  - bgo#592558, Python path depending on the prefix
  - bgo#592602, Add gnome-pilot
  - bgo#592801, some spelling and grammar mistakes
  - bgo#594135, Documentation could provide examples in section
    Configuration File Reference
  - bgo#594981, Support configuring a buildroot for out of tree
    builds
  - bgo#595440, [2.28] Epiphany branch gnome-2-28 does not exist
  - bgo#595441, Brasero 2.28 branch should be brasero-2-28, not
    gnome-2-28
  + Updated translations.
* Wed Aug 12 2009 vuntz@novell.com
- Update to version 2.27.90:
  + Fixed bugs:
  - bgo#583515, Selecting [1] rerun stage configure after
    configure failure runs build
  - bgo#589237, libchamplain vs clutter-cairo-0.8 vs clutter-0.9
  - bgo#590064, Set ACLOCAL as well as ACLOCAL_FLAGS
  - bgo#590102, move gnome-js-common and gobject-introspection to
    external deps?
  - bgo#590103, Crash if hash="" in moduleset
  - bgo#590273, When a git clone is interrupted during the
    compressing objects state, there's no way to
    recover from it automatically.
  - bgo#590359, Remove libgail-gnome where possible
  - bgo#591142, Clean up deprecated dependencies in
    gnome-suites-2.28.modules
  - bgo#591236, Review all clutter stuff
  - bgo#591470, jhbuild can't "switch" to gnome-2-28 branch
* Fri Jul 31 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Fixed bugs:
  - bgo#588928, Don't try to import md5 twice
  - bgo#582446, Options and commands containing the word
    "checkout" can be confused with git's meaning of
    "checkout"
  - bgo#584322, [gnome-2.28] add gnome-js-common and update seed
    dependency
  - bgo#585996, force_checkout considered harmful with git
  - bgo#588688, Update modest repository
  - bgo#588862, Update mono to 2.4.2.2
  - bgo#589227, WebKit module fetched from wrong moduleset
  - bgo#589234, Dates, Tasks and Contacts are now in git.gnome.org
  - bgo#589296, Build pulseaudio before gst-plugins-good
  - bgo#589383, loudmouth module fails checkout
  - bgo#589482, Add claws-mail repo
  - bgo#589660, pango has a soft dependency on
    gobject-introspection
  - bgo#589762, Balsa branch seems to be outdated
  - bgo#589767, Add midori repo
  - bgo#590103, Crash if hash="" in moduleset
- Add Recommends on DeviceKit-disks-devel, libgudev-1_0-devel,
  polkit-devel, libchamplain-devel, libgdata-devel, gmime-2_4-devel
  to recommended-deps package.
- Update sample.jhbuildrc accordingly.
- Remove Recommends on DeviceKit-devel since it will be obsolete.
* Wed Jun 17 2009 vuntz@novell.com
- Update to version 2.27.3:
  + Major changes:
  - Rewritten GUI
  - Many win32 improvements
  + Fixed bugs:
  - bgo#584283, endless loop when executing command "clean" if
    the module type doesn't support it
  - bgo#581515, Don't build DeviceKit-disks by default
  - bgo#582165, Fix gui option
  - bgo#582490, Jhbuild crashing (NameError)
  - bgo#583455, [win32 fixes] jhbuild uses subprocess.Popen
    incompatibly with win32
  - bgo#583838, libtool 2.x breaks guile build
  - bgo#583849, output directory for tinderbox build not
    configurable on the command line
  - bgo#583969, update should be possible from dvcs_mirror_dir
    with --no- network
  - bgo#584028, bootstrap: gmp fails to build on amd64 (Intel
    E5450)
  - bgo#584052, Missing dependency in jhbuild
  - bgo#585084, Fix Fill & Expand properties on preferences
    window
  - bgo#585787, Perl modules don't build
- Add python-gtk Requires for the GUI.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Updated building state machine to an inter-phases dependency
    system
  + Added support for more options in buildbot slave xml
    description
  + Improved autotoolization
  + Bugs fixed:
  - bgo#119088, Best effort flag
  - bgo#143221, Maybe add "jhbuild clean"
  - bgo#368820, Should reload jhbuildrc after configure failure
  - bgo#385120, should GTK_MODULES be unset ?
  - bgo#400302, add support for module uninstalling
  - bgo#419879, [RFC] consider having -HEAD modulesets
  - bgo#560688, Use xulrunner for mozilla module
  - bgo#580815, jhbuild git copy checkout mode broken
  - bgo#580910, cp in jhbuild copy checkout mode needs -f for svn
  - bgo#580949, jhbuild does not create copy_dir
  - bgo#581232, [patch] add (g)parted
  - bgo#581262, FTBFS: libsndfile: libsqlite3.so: undefined
    reference to `dlsym'
  - bgo#581515, Don't build DeviceKit-disks by default
  - bgo#581547, build -C shouldn't nuke modules that have .git
  - bgo#581634, Do not force writable prefix for some commands
  - bgo#581981, fix git-cvsimport update
  - bgo#582172, Tarball not buildable (?)
  - bgo#582177, [misc] Make .desktop file valid
  - bgo#582180, jhbuild/main.py is not executable and contains
    "#!/usr/bin/env python"
  - bgo#582193, anjuta should suggest glade3
  - bgo#582490, Jhbuild crashing (NameError)
  - bgo#582754, tracker depends on raptor, which jhbuild knows
    nothing about
  - bgo#582802, base: fix can't find bootstrap moduleset
  - bgo#582829, use PKGDATADIR to find patches directory
  - bgo#582930, tarball modules don't honour global makeargs
  - bgo#583006, AttributeError: 'MetaModule' object has no
    attribute 'do_checkout'
  - bgo#583227, jhbuildrc include support
  - bgo#583294, pyxdg should be an external dependency
  - bgo#583309, gnome-icon-theme should depend on glib
  - bgo#583420, crash when trying to apply patches for
    hicolor-icon-theme
  - bgo#583453, [win32 fixes] inpath and has_command should take
    .exe extension into account
  - bgo#583518, --no-poison only works sometimes
  - bgo#583532, buildbot directory is not installed properly to
    create a server
- Drop jhbuild-fix-build.patch: fixed upstream.
- Drop jhbuild.in: upstream tarball now correctly installs it.
- Drop jhbuild.desktop: gui mode is broken right now. Upstream will
  install it when it will be fixed.
* Mon May 11 2009 vuntz@novell.com
- Initial packaging.
